require 'Foraging/forageSystem'

Events.onAddForageDefs.Add(function()


    	local HoneyComb = {
   	type = "Herbalist.HoneyComb",
	minCount = 1,
	maxCount = 2,
	skill = 4,
    	xp = 5,
    	categories = { "Insects" },
    	zones = {
			Forest      = 10,
			DeepForest  = 15,
			Vegitation  = 5,
			FarmLand    = 1,
			Farm        = 0,
			TrailerPark = 0,
			TownZone    = 0,
		},
	months = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 },
        bonusMonths = { 4,9,10 },
	itemSizeModifier = 1.0,
    }

	local Sap = {
   	type = "Herbalist.Sap",
	minCount = 1,
	maxCount = 3,
	skill = 4,
    	xp = 5,
    	categories = { "WildPlants" },
    	zones = {
			Forest      = 10,
			DeepForest  = 15,
			Vegitation  = 0,
			FarmLand    = 0,
			Farm        = 0,
			TrailerPark = 0,
			TownZone    = 0,
		},
	months = { 2, 3, 4, 5, 6, 9, 10, 11},
        bonusMonths = { 2,3,4 },
	itemSizeModifier = 1.0,
    }

forageSystem.addItemDef(HoneyComb);
forageSystem.addItemDef(Sap);

forageSystem.generateLootTable()

end)